# $Revision: 1.20 $, $Date: 2004/07/18 10:22:41 $
Summary:	wmdate - date-display utility for X11
Summary(pl):	wmdate - program dla X11 wywietlajcy dat
Name:		wmdate
Version:	0.7
Release:	4
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://solfertje.student.utwente.nl/~dalroi/wmdate/files/%{name}-%{version}.tar.gz
# Source0-md5:	967a20599124da13c876d12cfe08e3a5
Source1:	%{name}.desktop
Patch0:		%{name}-ComplexProgramTargetNoMan.patch
URL:		http://solfertje.student.utwente.nl/~dalroi/wmdate/
BuildRequires:	XFree86-devel
BuildRequires:	libdockapp-devel >= 0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
wmDate is a date-display utility designed for WindowMaker Dock. It was
originally based on the displaying lay-out of asclock (which in turn
is based on the time-display utility used in NeXTStep).

%description -l pl
wmDate jest dokowalnym apletem dla WindowMakera wywietlajcym dat.
Jego wygld oparty jest na programie asclock (ktry z kolei jest
oparty na wywietlajcym czas programie dla NextStep).

%prep
%setup -q
%patch0 -p1

%build
xmkmf -a
%{__make} \
	CC=%{__cc} \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}/docklets \
	$RPM_BUILD_ROOT%{_bindir}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changelog
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/docklets/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmdate.spec,v $
Revision 1.20  2004/07/18 10:22:41  yogib
- updated URLs, switched to vfolders

Revision 1.19  2004/03/16 06:28:43  adamg
- release 3 for Ac

Revision 1.18  2003/09/18 12:26:42  havner
- mass commit: some fixes due to prefix change

Revision 1.17  2003/05/28 13:02:52  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:27:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/02/28 10:09:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.14  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.13  2002/11/29 22:47:17  ankry
- massive attack: new %%doc

Revision 1.12  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/14 03:28:42  kloczek
- release 2.

Revision 1.9  2001/11/26 05:18:45  kloczek
- added ComplexProgramTargetNoMan patch which fixes install target
  (use ComplexProgramTargetNoMan() instead ComplexProgramTarget()
  in Imakefile because wmdate do not provides man page for wmdate).

Revision 1.8  2001/11/26 01:25:14  kloczek
- found new URL and Source url.

Revision 1.7  2001/11/25 23:50:16  blues
- desktop is out
NOTE: no active URL found

Revision 1.6  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.4  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.1  2000/02/10 17:04:35  pius
- initial release
